> ## Documentation Index
> Fetch the complete documentation index at: https://docs.crunchz.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Group

> Create a new WhatsApp group programmatically by specifying the group name and initial participants.



## OpenAPI

````yaml POST /groups/create
openapi: 3.1.0
info:
  title: CrunchzApp API Docs
  version: 1.0.0
  description: >-
    Comprehensive WhatsApp API for seamless messaging integration, automation,
    and customer communication in your applications.
servers:
  - url: https://api.crunchz.app/api
security:
  - http: []
paths:
  /groups/create:
    post:
      tags:
        - Groups
      description: >-
        Create a new WhatsApp group programmatically by specifying the group
        name and initial participants.
      operationId: groups.createGroup
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateGroupRequest'
      responses:
        '200':
          description: '`CreateGroupResource`'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateGroupResource'
        '400':
          $ref: '#/components/responses/BadRequestException'
        '401':
          $ref: '#/components/responses/UnauthorizedException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '422':
          $ref: '#/components/responses/ValidationException'
        '500':
          $ref: '#/components/responses/InternalServerErrorException'
components:
  schemas:
    CreateGroupRequest:
      type: object
      properties:
        name:
          type: string
          description: The Group Name
          minLength: 1
          maxLength: 25
          pattern: ^[\s\S]*[^\s][\s\S]*$
          example: Group Name
        participants:
          type: array
          minItems: 0
          maxItems: 256
          items:
            type: object
            properties:
              id:
                type: string
                description: The Contact ID
                pattern: ^[0-9]+@[cs]\.whatsapp\.net$
                minLength: 15
                maxLength: 50
                example: xxx@s.whatsapp.net
            required:
              - id
        tag_ids:
          type: array
          description: The Auto-Responder Tag IDs
          maxItems: 10
          example:
            - tag-uuid-1
            - tag-uuid-2
          items:
            type: string
            description: The Auto-Responder Tag ID
            pattern: ^[a-zA-Z0-9\-_]+$
            minLength: 1
            maxLength: 50
            example: tag-uuid-1
      required:
        - name
      title: CreateGroupRequest
    CreateGroupResource:
      type: object
      properties:
        success:
          type: boolean
          description: The success status of response.
        message:
          type: string
          description: The message of response.
        data:
          type: object
          properties:
            id:
              type: string
              description: The Group ID.
            name:
              type: string
              description: The Group Name.
            restricted:
              type: boolean
              description: The Group Restricted.
            created_at:
              type: string
              description: The Group creation date.
            is_community:
              type: boolean
              description: Is this community group?.
            actions:
              type: object
              properties:
                join_approval:
                  type: boolean
                  description: Approval to join.
                can_add_member:
                  type: boolean
                  description: Can add member
              required:
                - join_approval
                - can_add_member
            participant_count:
              type: integer
              description: The number of participant.
          required:
            - id
            - name
            - restricted
            - created_at
            - is_community
            - actions
            - participant_count
      required:
        - success
        - message
        - data
      title: CreateGroupResource
  responses:
    BadRequestException:
      description: Bad request error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    UnauthorizedException:
      description: Unauthorized error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
    InternalServerErrorException:
      description: Internal server error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````